<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
    <!--
        Feuille de transformation appliquée au Fichier CDM de l'application Uniform vers FO pour sérialisation PDF
        Author: Loic Pénet
        Version Version 1,1
    -->
<!-- particularismes de Lille3 -->
<!-- template sans traitement -->
    <xsl:template match="subBlock[@userDefined ='NIVENT']"/>
    <xsl:template match="subBlock[@userDefined ='NIVSOR']"/>
    <xsl:template match="searchword"/>
    <xsl:template match="typeObjet"/>

    <!--  Ce fichier est inclus dans une autre feuille XSLT (default_pdf_fr-FR.xsl) qui fait référence aux variables-->
    <xsl:template match="targetGroup">
        <xsl:param name="niveau"/>
        <xsl:if test="$debug = '1'">
            <fo:block font-size="8pt" font-weight="bold" color="#f00"> (debug : Début targetGroup ) </fo:block>
        </xsl:if>
        <fo:block>
            <fo:inline font-weight="bold">
                <xsl:value-of select="$variables/variables/contentpdfvar/content[@type ='targetGroup']/value[@lang = $_lang]"/>
            </fo:inline>
            <xsl:apply-templates select="node()">
                <xsl:with-param name="niveau" select="$niveau"/>
            </xsl:apply-templates>
        </fo:block>
    </xsl:template> 
    
</xsl:stylesheet>
